VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
IListControlConfigurator Class Referenceabstract
Version 4.9

The list control configurator interface. More...

Inheritance diagram for IListControlConfigurator:

## Public Member Functions
virtual | ~IListControlConfigurator () noexcept
virtual CListControlRowDesc | getRowDesc (int32_t row) const =0
Public Member Functions inherited from IReference
virtual void | forget ()=0
| decrease refcount and delete object if refcount == 0
virtual void | remember ()=0
| increase refcount

## Detailed Description

The list control configurator interface.

## Constructor & Destructor Documentation

virtual ~IListControlConfigurator | ( |  | ) |
| inline virtual noexcept

## Member Function Documentation

virtual CListControlRowDesc getRowDesc | ( | int32_t | row | ) | const
| pure virtual

Implemented in StaticListControlConfigurator.

The documentation for this class was generated from the following file:

- clistcontrol.h